# Deprecated API

## Contents

- Fields
- Methods

Deprecated Fields
Field
Description
org.eclipse.birt.chart.ui.swt.interfaces.IUIServiceProvider.COMMAND_CHART_EXPRESSION
org.eclipse.birt.chart.ui.swt.interfaces.IUIServiceProvider.COMMAND_EXPRESSION

Deprecated Methods
Method
Description
org.eclipse.birt.chart.ui.swt.interfaces.IChartType.canAdapt(Chart, Hashtable)
do not use any more
org.eclipse.birt.chart.ui.swt.interfaces.IChartType.getHelp()
do not use any more
org.eclipse.birt.chart.ui.swt.interfaces.ISeriesUIProvider.getSeriesAttributeSheet(Composite, Series)
use getSeriesAttributeSheet( Composite parent, Series series, IUIServiceProvider builder, Object oContext )
org.eclipse.birt.chart.ui.swt.interfaces.ISeriesUIProvider.getSeriesDataSheet(Composite, SeriesDefinition, IUIServiceProvider, Object)
org.eclipse.birt.chart.ui.swt.interfaces.ISeriesUIProvider.validationIndex(Series)
to use `Series.getDefinedDataDefinitionIndex()` instead.
org.eclipse.birt.chart.ui.swt.interfaces.IUIServiceProvider.invoke(String, Object, String)
use invoke( int command, String value, Object context, String sTitle ) instead.
org.eclipse.birt.chart.ui.swt.interfaces.IUIServiceProvider.invoke(String, Object, String, boolean)
use invoke( int command, String value, Object context, String sTitle ) instead.